import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

const _03869cfa = () => import('..\\pages\\news.vue' /* webpackChunkName: "pages_news" */).then(m => m.default || m)
const _180dfc55 = () => import('..\\pages\\vehicle.vue' /* webpackChunkName: "pages_vehicle" */).then(m => m.default || m)
const _ff579c02 = () => import('..\\pages\\tour.vue' /* webpackChunkName: "pages_tour" */).then(m => m.default || m)
const _5310e416 = () => import('..\\pages\\aboutXx.vue' /* webpackChunkName: "pages_aboutXx" */).then(m => m.default || m)
const _73393094 = () => import('..\\pages\\activity.vue' /* webpackChunkName: "pages_activity" */).then(m => m.default || m)
const _59c63d22 = () => import('..\\pages\\campsite.vue' /* webpackChunkName: "pages_campsite" */).then(m => m.default || m)
const _391befec = () => import('..\\pages\\demo.vue' /* webpackChunkName: "pages_demo" */).then(m => m.default || m)
const _5e5e576e = () => import('..\\pages\\indexWeb.vue' /* webpackChunkName: "pages_indexWeb" */).then(m => m.default || m)
const _25aecdb4 = () => import('..\\pages\\company.vue' /* webpackChunkName: "pages_company" */).then(m => m.default || m)
const _c5db301a = () => import('..\\pages\\findList\\all.vue' /* webpackChunkName: "pages_findList_all" */).then(m => m.default || m)
const _61ad3c62 = () => import('..\\pages\\findList\\findTour.vue' /* webpackChunkName: "pages_findList_findTour" */).then(m => m.default || m)
const _09b93232 = () => import('..\\pages\\vehicleList\\vehicleList.vue' /* webpackChunkName: "pages_vehicleList_vehicleList" */).then(m => m.default || m)
const _99159a6e = () => import('..\\pages\\newsList\\newsList.vue' /* webpackChunkName: "pages_newsList_newsList" */).then(m => m.default || m)
const _1a493a7e = () => import('..\\pages\\activityList\\activityList.vue' /* webpackChunkName: "pages_activityList_activityList" */).then(m => m.default || m)
const _447c2f86 = () => import('..\\pages\\findList\\findActivity.vue' /* webpackChunkName: "pages_findList_findActivity" */).then(m => m.default || m)
const _065f64e9 = () => import('..\\pages\\demoList\\demoList.vue' /* webpackChunkName: "pages_demoList_demoList" */).then(m => m.default || m)
const _740eaa32 = () => import('..\\pages\\campsiteDetails\\campsiteDetails.vue' /* webpackChunkName: "pages_campsiteDetails_campsiteDetails" */).then(m => m.default || m)
const _03a492e7 = () => import('..\\pages\\tourDetails\\tourDetails.vue' /* webpackChunkName: "pages_tourDetails_tourDetails" */).then(m => m.default || m)
const _5135a93f = () => import('..\\pages\\findList\\findCampsite.vue' /* webpackChunkName: "pages_findList_findCampsite" */).then(m => m.default || m)
const _1a560af6 = () => import('..\\pages\\findList\\findVehicle.vue' /* webpackChunkName: "pages_findList_findVehicle" */).then(m => m.default || m)
const _7020d154 = () => import('..\\pages\\findList\\findCompany.vue' /* webpackChunkName: "pages_findList_findCompany" */).then(m => m.default || m)
const _3c584379 = () => import('..\\pages\\findList\\findNew.vue' /* webpackChunkName: "pages_findList_findNew" */).then(m => m.default || m)
const _883b3092 = () => import('..\\pages\\vehicleList\\_id.vue' /* webpackChunkName: "pages_vehicleList__id" */).then(m => m.default || m)
const _dd189e9c = () => import('..\\pages\\newsList\\_id.vue' /* webpackChunkName: "pages_newsList__id" */).then(m => m.default || m)
const _719bd652 = () => import('..\\pages\\tourDetails\\_id.vue' /* webpackChunkName: "pages_tourDetails__id" */).then(m => m.default || m)
const _c16d8d14 = () => import('..\\pages\\activityList\\_id.vue' /* webpackChunkName: "pages_activityList__id" */).then(m => m.default || m)
const _18bf1c47 = () => import('..\\pages\\campsiteDetails\\_id.vue' /* webpackChunkName: "pages_campsiteDetails__id" */).then(m => m.default || m)
const _60c7b7a2 = () => import('..\\pages\\demoList\\_id.vue' /* webpackChunkName: "pages_demoList__id" */).then(m => m.default || m)
const _2dd9433b = () => import('..\\pages\\index.vue' /* webpackChunkName: "pages_index" */).then(m => m.default || m)



if (process.client) {
  window.history.scrollRestoration = 'manual'
}
const scrollBehavior = function (to, from, savedPosition) {
  // if the returned position is falsy or an empty object,
  // will retain current scroll position.
  let position = false

  // if no children detected
  if (to.matched.length < 2) {
    // scroll to the top of the page
    position = { x: 0, y: 0 }
  } else if (to.matched.some((r) => r.components.default.options.scrollToTop)) {
    // if one of the children has scrollToTop option set to true
    position = { x: 0, y: 0 }
  }

  // savedPosition is only available for popstate navigations (back button)
  if (savedPosition) {
    position = savedPosition
  }

  return new Promise(resolve => {
    // wait for the out transition to complete (if necessary)
    window.$nuxt.$once('triggerScroll', () => {
      // coords will be used if no selector is provided,
      // or if the selector didn't match any element.
      if (to.hash) {
        let hash = to.hash
        // CSS.escape() is not supported with IE and Edge.
        if (typeof window.CSS !== 'undefined' && typeof window.CSS.escape !== 'undefined') {
          hash = '#' + window.CSS.escape(hash.substr(1))
        }
        try {
          if (document.querySelector(hash)) {
            // scroll to anchor by returning the selector
            position = { selector: hash }
          }
        } catch (e) {
          console.warn('Failed to save scroll position. Please add CSS.escape() polyfill (https://github.com/mathiasbynens/CSS.escape).')
        }
      }
      resolve(position)
    })
  })
}


export function createRouter () {
  return new Router({
    mode: 'history',
    base: '/',
    linkActiveClass: 'nuxt-link-active',
    linkExactActiveClass: 'nuxt-link-exact-active',
    scrollBehavior,
    routes: [
		{
			path: "/news",
			component: _03869cfa,
			name: "news"
		},
		{
			path: "/vehicle",
			component: _180dfc55,
			name: "vehicle"
		},
		{
			path: "/tour",
			component: _ff579c02,
			name: "tour"
		},
		{
			path: "/aboutXx",
			component: _5310e416,
			name: "aboutXx"
		},
		{
			path: "/activity",
			component: _73393094,
			name: "activity"
		},
		{
			path: "/campsite",
			component: _59c63d22,
			name: "campsite"
		},
		{
			path: "/demo",
			component: _391befec,
			name: "demo"
		},
		{
			path: "/indexWeb",
			component: _5e5e576e,
			name: "indexWeb"
		},
		{
			path: "/company",
			component: _25aecdb4,
			name: "company"
		},
		{
			path: "/findList/all",
			component: _c5db301a,
			name: "findList-all"
		},
		{
			path: "/findList/findTour",
			component: _61ad3c62,
			name: "findList-findTour"
		},
		{
			path: "/vehicleList/vehicleList",
			component: _09b93232,
			name: "vehicleList-vehicleList"
		},
		{
			path: "/newsList/newsList",
			component: _99159a6e,
			name: "newsList-newsList"
		},
		{
			path: "/activityList/activityList",
			component: _1a493a7e,
			name: "activityList-activityList"
		},
		{
			path: "/findList/findActivity",
			component: _447c2f86,
			name: "findList-findActivity"
		},
		{
			path: "/demoList/demoList",
			component: _065f64e9,
			name: "demoList-demoList"
		},
		{
			path: "/campsiteDetails/campsiteDetails",
			component: _740eaa32,
			name: "campsiteDetails-campsiteDetails"
		},
		{
			path: "/tourDetails/tourDetails",
			component: _03a492e7,
			name: "tourDetails-tourDetails"
		},
		{
			path: "/findList/findCampsite",
			component: _5135a93f,
			name: "findList-findCampsite"
		},
		{
			path: "/findList/findVehicle",
			component: _1a560af6,
			name: "findList-findVehicle"
		},
		{
			path: "/findList/findCompany",
			component: _7020d154,
			name: "findList-findCompany"
		},
		{
			path: "/findList/findNew",
			component: _3c584379,
			name: "findList-findNew"
		},
		{
			path: "/vehicleList/:id?",
			component: _883b3092,
			name: "vehicleList-id"
		},
		{
			path: "/newsList/:id?",
			component: _dd189e9c,
			name: "newsList-id"
		},
		{
			path: "/tourDetails/:id?",
			component: _719bd652,
			name: "tourDetails-id"
		},
		{
			path: "/activityList/:id?",
			component: _c16d8d14,
			name: "activityList-id"
		},
		{
			path: "/campsiteDetails/:id?",
			component: _18bf1c47,
			name: "campsiteDetails-id"
		},
		{
			path: "/demoList/:id?",
			component: _60c7b7a2,
			name: "demoList-id"
		},
		{
			path: "/",
			component: _2dd9433b,
			name: "index"
		}
    ],
    
    
    fallback: false
  })
}
